Page 1 of 1

Error Actualizando desde 6.3.1

Posted: Mon Jun 11, 2018 9:13 pm
by sandertaker
Buenas tardes, el error que obtengo al actualizar Openkm desde la versión 6.3.1 hacia cualquiera de las versiones superiores ocurre al momento de loguearse al programa, pues al intentar subir un archivo envía el mensaje de error en el fakepath, y no carga el documento respectivo, sin embargo he seguido los pasos correctamente y en ningún momento me ha arrojado algún error al actualizar, solo su funcionamiento es el que da error.

Saludos y de antemano muchas gracias.

Re: Error Actualizando desde 6.3.1

Posted: Tue Jun 12, 2018 6:00 pm
by jllort
Tendrías que mirar que error aparece en el log de la aplicación ( catalina.log ), así a bote pronto te diría que antes tenías configurado el antivirus y ahora no lo tienes configurado a nivel del sistema operativo y esto hace que cada vez que intentas subir un nuevo fichero se produce un error interno y eso impide que se suba ( este es un caso bastante normal ). En caso que no sea el antivirus será algo similar que esta causando este problema ( también podría ser una tarea automática ). En cualquier caso en el log se verá claramente lo que esta pasando. Añade en el post la traza del error en cuestión ( solo la parte del error )

Re: Error Actualizando desde 6.3.1

Posted: Tue Nov 06, 2018 1:46 pm
by sandertaker
Hola de nuevo, el error que sale descrito en Catalina.log es el siguiente:

ERROR com.openkm.servlet.frontend.FileUploadServlet - java.lang.NullPointerException.

Saludos

Re: Error Actualizando desde 6.3.1

Posted: Wed Nov 07, 2018 11:37 am
by sandertaker
Resuelto, en mi caso particular el problema era originado por que cree un .class para vernum a medida, al momento de actualizar el sistema apunta a este archivo que obviamente no existe en el .war por lo que apuntaba a null, pero al crearlo nuevamente me ha funcionado sin problemas.
Así que doy por cerrado este tema, pero de paso dejo la información por si a alguien más pueda resultarle util.

Un cordial saludo.